Bug 576499 - context_new does not set errno on parse error
context_new does not set errno on parse error
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: libselinux (Show other bugs)
12
All Linux
low Severity medium
: ---
: ---
Assigned To: Daniel Walsh
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-24 05:53 EDT by Eugene Indenbom
Modified: 2010-11-04 07:17 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2010-11-04 07:17:48 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Eugene Indenbom 2010-03-24 05:53:29 EDT
Description of problem:
context_new does not set errno as documented in man page to EINVAL on parse error

Version-Release number of selected component (if applicable):
libselinux-2.0.90-5.fc12.x86_64

How reproducible:

Steps to Reproduce:
1. Set errno = 0
2. Call context_new with "dummy" string
3. Check errno
  
Actual results:
errno is 0


Expected results:
errno is EINVAL
Comment 1 Daniel Walsh 2010-03-24 09:50:29 EDT
Sent patch upstream for this.
Comment 2 Bug Zapper 2010-11-03 14:44:50 EDT
This message is a reminder that Fedora 12 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 12.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '12'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 12's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 12 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.